Summary: A screen manager that supports multiple logins on one terminal.
Name: screen
Version: 3.9.5
Release: 2mdk
Copyright: GPL
Group: Terminals
Source0: ftp://prep.ai.mit.edu/pub/gnu/screen-%{version}.tar.bz2
Patch0: screen-3.7.6-compat21.patch.bz2
Patch1: screen-3.9.4-makeinfo.patch.bz2
Patch2: screen-3.9.4-notmp.patch.bz2
Prefix: %{_prefix}
Prereq: /sbin/install-info
BuildRoot: /var/tmp/%{name}-root

%description
The screen utility allows you to have multiple logins on just one
terminal.  Screen is useful for users who telnet into a machine or
are connected via a dumb terminal, but want to use more than just
one login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.

%prep
%setup -q

%patch0 -p1 -b .compat21
%patch1 -p1 -b .makeinfo
%patch2 -p1 -b .notmp
%build

%configure
perl -pi -e 's|.*#.*PTYMODE.*|#define PTYMODE 0620|' config.h
perl -pi -e 's|.*#.*PTYGROUP.*|#define PTYGROUP 5|' config.h

perl -pi -e 's|.*#undef HAVE_BRAILLE.*|#define HAVE_BRAILLE 1|' config.h
perl -pi -e 's|.*#undef BUILTIN_TELNET.*|#define BUILTIN_TELNET 1|' config.h

perl -pi -e 's|%{_prefix}/etc/screenrc|/etc/screenrc|' config.h
perl -pi -e 's|/usr/local/etc/screenrc|/etc/screenrc|' etc/etcscreenrc doc/*
perl -pi -e 's|/local/etc/screenrc|/etc/screenrc|' doc/*
rm doc/screen.info*

make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DETCSCREENRC=\\\"/etc/screenrc\\\""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel

perl -pi -e 's,/usr/local/etc/screenrc,/etc/screenrc,' etc/etcscreenrc

make prefix=$RPM_BUILD_ROOT%{_prefix} install

( cd $RPM_BUILD_ROOT

  rm -f .%{_prefix}/bin/screen.old .%{_prefix}/bin/screen
  mv .%{_prefix}/bin/screen-%{version} .%{_prefix}/bin/screen
)

install -c -m 0444 etc/etcscreenrc $RPM_BUILD_ROOT/etc/screenrc
install -c -m 0644 etc/screenrc $RPM_BUILD_ROOT/etc/skel/.screenrc

mkdir -p $RPM_BUILD_ROOT/etc/profile.d

echo '  screen ()
	{
	if [ -z "$SCREENDIR" ]; then
		export SCREENDIR='\$'HOME/tmp
	fi
	/usr/bin/screen $@
	}
	' > $RPM_BUILD_ROOT/etc/profile.d/screen.sh 



%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_prefix}/info/screen.info.bz2 %{_prefix}/info/dir --entry="* screen: (screen).             Terminal multiplexer."


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_prefix}/info/screen.info.bz2 %{_prefix}/info/dir --entry="* screen: (screen).             Terminal multiplexer."
fi

%files
%defattr(-,root,root)
%doc NEWS README FAQ doc/README.DOTSCREEN

%attr(755,root,root) %{_prefix}/bin/screen
%{_prefix}/man/man1/screen.1.bz2
%{_prefix}/info/screen.info*
%attr(755,root,root) /etc/profile.d/screen.sh

%config /etc/screenrc
%attr(644,root,root) %config /etc/skel/.screenrc

%changelog

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com>

- Let spec helper handle stripping and compressed manpages
- Changed group to match 7.1 specs

* Tue Dec 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.9.5 (fix a lot of know bugs).

* Wed Nov 10 1999 Francis Galiegue <francis@mandrakesoft.com>

- Really fixed /etc/skel/.screenrc permissions
- Fixed /etc/screenrc permissions
- spawn ptys are no more world writable

* Tue Nov 09 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed /etc/skel/.screenrc permissions
- Enabled Unix98 ptys

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Thu Oct 21 1999 Francis Galiegue <francis@mandrakesoft.com>

- Merged patch from RedHat: screen now uses /dev/pts/*
- made /etc/profile.d/screen.sh sh-compatible (use test -z $SCREENDIR)

* Tue Sep 21 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed bug in /etc/profile.d/screen.sh (credits go to Axalon for this one)

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 3.9.4

* Sun Jul 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- set SCREENDIR=$HOME/tmp

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- take out warning of directory ownership so root can still use screen

* Wed Apr 07 1999 Erik Troan <ewt@redhat.com>
- patched in utempter support, turned off setuid bit

* Fri Mar 26 1999 Erik Troan <ewt@redhat.com>
- fixed unix98 pty support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- add patch for Unix98 pty support

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.7.6.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.7.4

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- removed glibc 1.99 specific patch

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- added install-info support

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
